InvocationMockerBuilder (jMock API Documentation)
Keywords: org.jmock.builder.InvocationMockerBuilder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.builder
Class InvocationMockerBuilder

    java.lang.Object
      org.jmock.builder.InvocationMockerBuilder

All Implemented Interfaces:
  ArgumentsMatchBuilder, IdentityBuilder, MatchBuilder, NameMatchBuilder, StubBuilder

    public class InvocationMockerBuilder

extends Object
implements NameMatchBuilder

Since:
  1.0

Constructor Summary
`InvocationMockerBuilder(StubMatchersCollection mocker, BuilderNamespace idTable, Class mockedType)`

Method Summary
`MatchBuilder` | `after(BuilderNamespace otherMock, String priorCallID)`
`MatchBuilder` | `after(String priorCallID)`
`IdentityBuilder` | `expect(InvocationMatcher expectation)`
`void` | `id(String invocationID)`
`IdentityBuilder` | `isVoid()`
`MatchBuilder` | `match(InvocationMatcher customMatcher)`
`ArgumentsMatchBuilder` | `method(Constraint nameConstraint)`
`ArgumentsMatchBuilder` | `method(String name)`
`IdentityBuilder` | `will(Stub stubAction)`
`MatchBuilder` | `with(Constraint arg1)`
`MatchBuilder` | `with(Constraint[] constraints)`
`MatchBuilder` | `with(Constraint arg1, Constraint arg2)`
`MatchBuilder` | `with(Constraint arg1, Constraint arg2, Constraint arg3)`
`MatchBuilder` | `with(Constraint arg1, Constraint arg2, Constraint arg3, Constraint arg4)`
`MatchBuilder` | `withAnyArguments()`
`MatchBuilder` | `withNoArguments()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvocationMockerBuilder

    public InvocationMockerBuilder(StubMatchersCollection mocker,
                                   BuilderNamespace idTable,
                                   Class mockedType)

Method Detail

### method

    public ArgumentsMatchBuilder method(Constraint nameConstraint)

  Specified by:
    `method` in interface `NameMatchBuilder`

### method

    public ArgumentsMatchBuilder method(String name)

  Specified by:
    `method` in interface `NameMatchBuilder`

### match

    public MatchBuilder match(InvocationMatcher customMatcher)

  Specified by:
    `match` in interface `MatchBuilder`

### with

    public MatchBuilder with(Constraint arg1)

  Specified by:
    `with` in interface `ArgumentsMatchBuilder`

### with

    public MatchBuilder with(Constraint arg1,
                             Constraint arg2)

  Specified by:
    `with` in interface `ArgumentsMatchBuilder`

### with

    public MatchBuilder with(Constraint arg1,
                             Constraint arg2,
                             Constraint arg3)

  Specified by:
    `with` in interface `ArgumentsMatchBuilder`

### with

    public MatchBuilder with(Constraint arg1,
                             Constraint arg2,
                             Constraint arg3,
                             Constraint arg4)

  Specified by:
    `with` in interface `ArgumentsMatchBuilder`

### with

    public MatchBuilder with(Constraint[] constraints)

  Specified by:
    `with` in interface `ArgumentsMatchBuilder`

### withNoArguments

    public MatchBuilder withNoArguments()

  Specified by:
    `withNoArguments` in interface `ArgumentsMatchBuilder`

### withAnyArguments

    public MatchBuilder withAnyArguments()

  Specified by:
    `withAnyArguments` in interface `ArgumentsMatchBuilder`

### will

    public IdentityBuilder will(Stub stubAction)

  Specified by:
    `will` in interface `StubBuilder`

### isVoid

    public IdentityBuilder isVoid()

  Specified by:
    `isVoid` in interface `StubBuilder`

### expect

    public IdentityBuilder expect(InvocationMatcher expectation)

### id

    public void id(String invocationID)

  Specified by:
    `id` in interface `IdentityBuilder`

### after

    public MatchBuilder after(String priorCallID)

  Specified by:
    `after` in interface `MatchBuilder`

### after

    public MatchBuilder after(BuilderNamespace otherMock,
                              String priorCallID)

  Specified by:
    `after` in interface `MatchBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD